local monocle = require("#monocle")
local coroutineEntity = monocle.Entity()

function onTalk()
	getLevel():add(coroutineEntity)
	disableMovement()
	makeUnskippable()
	wait(0.2)
	say("LL_SECRET_F_1")
	say("LL_SECRET_F_2")
	say("LL_SECRET_F_3")
	wait(0.1)
end

function onEnd(room, wasSkipped)
	if wasSkipped then
	enableMovement()
	else
	enableMovement()
	end
end